

#include "autoroot/F_ADC.h"

#include "fasterac/adc.h"

ClassImp (F_ADC)


   F_ADC::F_ADC ()
   {
      Reset ();
   }


   void F_ADC::Reset ()  {
      F_Data::Reset ();
      measure   = 0;
      saturated = kFALSE;
      pileup    = kFALSE;
      delta_ns  = 0.0;
   }


   void F_ADC::Reset (const faster_data_p data) {
     adc_data* adc;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        adc = (adc_data*) faster_data_load_p (data);
        measure   = adc->measure;
        saturated = adc->saturated;
        pileup    = adc->pileup;
        delta_ns  = adc_delta_t_ns (*adc);
     }
   }


   TString F_ADC::Type_Name ()
   {
      return "ADC";
   }


   Bool_t F_ADC::Type_Check (const Int_t type)
   {
      return (type == ADC_DATA_TYPE_ALIAS);
   }

