
#include "autoroot/F_ADC_Cnt.h"

#include "fasterac/adc.h"


ClassImp (F_ADC_Cnt)


   F_ADC_Cnt::F_ADC_Cnt ()
   {
      Reset ();
   }


   void F_ADC_Cnt::Reset ()  {
      F_Data::Reset ();
      calc = 0;
      sent = 0;
      trig = 0;
   }


   void F_ADC_Cnt::Reset (const faster_data_p data) {
     adc_counter* cnt;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        cnt = (adc_counter*) faster_data_load_p (data);
        calc = cnt->calc;
        sent = cnt->sent;
        trig = cnt->trig;
     }
   }


   TString F_ADC_Cnt::Type_Name ()
   {
      return "ADC_COUNTER";
   }


   Bool_t F_ADC_Cnt::Type_Check (const Int_t type)
   {
      return (type == ADC_COUNTER_TYPE_ALIAS);
   }

