

#include "autoroot/F_ADC_Trap.h"

#include "fasterac/adc_trap.h"

ClassImp (F_ADC_Trap)


   F_ADC_Trap::F_ADC_Trap ()
   {
      Reset ();
   }


   void F_ADC_Trap::Reset ()  {
      F_Data::Reset ();
      measure   = 0;
      saturated = kFALSE;
      pileup    = kFALSE;
   }


   void F_ADC_Trap::Reset (const faster_data_p data) {
     adc_trap_data* a_trap;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        a_trap    = (adc_trap_data*) faster_data_load_p (data);
        measure   = a_trap->measure;
        saturated = a_trap->saturated;
        pileup    = a_trap->pileup;
     }
   }


   TString F_ADC_Trap::Type_Name ()
   {
      return "ADC_TRAP";
   }


   Bool_t F_ADC_Trap::Type_Check (const Int_t type)
   {
      return (type == ADC_TRAP_DATA_TYPE_ALIAS);
   }


