#include "Riostream.h"

#include "autoroot/F_Data.h"

#include "fasterac/utils.h"

ClassImp (F_Data)


   F_Data::F_Data ()
   {
      label = 0;  //  not initialized
//      nb_data += 1;
   }


//   F_Data::~F_Data ()
//   {
//      nb_data -= 1;
//   }


   Bool_t F_Data::Is_Initialized ()
   {
      return (label != 0);
   }


   void F_Data::Initialize (const faster_data_p data)
   {
      if ((Is_Initialized ()) or (not Type_Check (faster_data_type_alias (data)))) throw "F_Data Initialize Error";
      TString name;
      label = faster_data_label (data);
      name  = Type_Name ();
      name += "_";
      name += label;
      SetNameTitle (name, name);
   }


   Bool_t F_Data::Label_Check (const Int_t label)
   {
      return label == this->label;
   }


   Bool_t F_Data::Data_Check (const faster_data_p data)
   {
      Int_t typ = faster_data_type_alias (data);
      Int_t lab = faster_data_label      (data);
      return Is_Initialized () and Type_Check (typ) and Label_Check (lab);
   }


   void F_Data::Reset ()
   {
      hits  = 0;
      t_ps  = 0;
      group = 0;
   }


   void F_Data::Reset (const faster_data_p data)
   {
      if (Data_Check (data)) {
         t_ps  = faster_data_hr_clock_ns (data) * 1000.0;
         hits += 1;
      }
   }


   void F_Data::Set_Group (const Int_t labl)
   {
      group = labl;
   }
