#include "autoroot/F_HV.h"
#include "fasterac/jdb_hv.h"

ClassImp (F_HV)


   F_HV::F_HV ()
   {
      Reset ();
   }


   void F_HV::Reset ()  {
      F_Data::Reset ();
      state        = "";
      intensity_mA = 0;
      voltage_V    = 0;
      temp_dC      = 0;
   }


   void F_HV::Reset (const faster_data_p data) {
     hv_data* hv;

     if (Data_Check (data)) {
        F_Data::Reset (data);
        hv = (hv_data*) faster_data_load_p (data);
        intensity_mA  = hv_data_Current_mA (*hv);
        voltage_V     = hv_data_Voltage_V  (*hv);
        temp_dC       = hv_data_Temp_dC    (*hv);
        state         = hv_data_State      (*hv);
     }
   }


   TString F_HV::Type_Name ()
   {
      return "HV";
   }


   Bool_t F_HV::Type_Check (const Int_t type)
   {
      return (type == JDB_HV_TYPE_ALIAS);
   }
