#include "Riostream.h"

#include "autoroot/F_QDC.h"

#include "fasterac/qdc.h"

ClassImp (F_QDC)


   F_QDC::F_QDC ()
   {
      Reset ();
   }


   void F_QDC::Reset ()  {
      F_Data::Reset ();
      q1           = 0;
      q1_saturated = kFALSE;
   }


   void F_QDC::Reset (const faster_data_p data) {
      qdc_x1* qdc;
      if (Data_Check (data)) {
         F_Data::Reset (data);
         qdc = (qdc_x1*) faster_data_load_p (data);
         q1  = qdc->q1;
         q1_saturated = qdc->q1_saturated;
      }
   }


   TString F_QDC::Type_Name ()
   {
      return "QDC";
   }


   Bool_t F_QDC::Type_Check (const Int_t type)
   {
      return (type == QDC_X1_TYPE_ALIAS) or (type == QDC_TDC_X1_TYPE_ALIAS);
   }
