#include "Riostream.h"

#include "autoroot/F_QDC2.h"

#include "fasterac/qdc.h"

ClassImp (F_QDC2)


   F_QDC2::F_QDC2 ()
   {
      Reset ();
   }


   void F_QDC2::Reset ()  {
      F_QDC::Reset ();
      q2           = 0;
      q2_saturated = kFALSE;
   }


   void F_QDC2::Reset (const faster_data_p data) {
      qdc_x2* qdc;
      if (Data_Check (data)) {
         F_Data::Reset (data);
         qdc          = (qdc_x2*) faster_data_load_p (data);
         q1           = qdc->q1;
         q1_saturated = qdc->q1_saturated;
         q2           = qdc->q2;
         q2_saturated = qdc->q2_saturated;
      }
   }


   Bool_t F_QDC2::Type_Check (const Int_t type)
   {
      return (type == QDC_X2_TYPE_ALIAS) or (type == QDC_TDC_X2_TYPE_ALIAS);
   }
