#include "Riostream.h"

#include "autoroot/F_QDC3.h"

#include "fasterac/qdc.h"

ClassImp (F_QDC3)


   F_QDC3::F_QDC3 ()
   {
      Reset ();
   }


   void F_QDC3::Reset ()  {
      F_QDC2::Reset ();
      q3           = 0;
      q3_saturated = kFALSE;
   }


   void F_QDC3::Reset (const faster_data_p data) {
      qdc_x3* qdc;
      if (Data_Check (data)) {
         F_Data::Reset (data);
         qdc          = (qdc_x3*) faster_data_load_p (data);
         q1           = qdc->q1;
         q1_saturated = qdc->q1_saturated;
         q2           = qdc->q2;
         q2_saturated = qdc->q2_saturated;
         q3           = qdc->q3;
         q3_saturated = qdc->q3_saturated;
      }
   }


   Bool_t F_QDC3::Type_Check (const Int_t type)
   {
      return (type == QDC_X3_TYPE_ALIAS) or (type == QDC_TDC_X3_TYPE_ALIAS);
   }
