#include "Riostream.h"

#include "autoroot/F_QDC4.h"

#include "fasterac/qdc.h"

ClassImp (F_QDC4)


   F_QDC4::F_QDC4 ()
   {
      Reset ();
   }


   void F_QDC4::Reset ()  {
      F_QDC3::Reset ();
      q4           = 0;
      q4_saturated = kFALSE;
   }


   void F_QDC4::Reset (const faster_data_p data) {
      qdc_x4* qdc;
      if (Data_Check (data)) {
         F_Data::Reset (data);
         qdc          = (qdc_x4*) faster_data_load_p (data);
         q1           = qdc->q1;
         q1_saturated = qdc->q1_saturated;
         q2           = qdc->q2;
         q2_saturated = qdc->q2_saturated;
         q3           = qdc->q3;
         q3_saturated = qdc->q3_saturated;
         q4           = qdc->q4;
         q4_saturated = qdc->q4_saturated;
      }
   }


   Bool_t F_QDC4::Type_Check (const Int_t type)
   {
      return (type == QDC_X4_TYPE_ALIAS) or (type == QDC_TDC_X4_TYPE_ALIAS);
   }
