#include "autoroot/F_RF.h"
#include "fasterac/rf.h"

ClassImp (F_RF)


   F_RF::F_RF ()
   {
      Reset ();
   }


   void F_RF::Reset ()  {
      period_ps  = 1;
      pll_ps     = 1;
      saturated  = kFALSE;
   }


   void F_RF::Reset (const faster_data_p data) {
     rf_data* rf;

     if (Data_Check (data)) {
        F_Data::Reset (data);
        rf = (rf_data*) faster_data_load_p (data);
        period_ps = rf_period_ns (*rf) * 1000.0;
        pll_ps    = rf_pll_dt_ns (*rf) * 1000.0;
        saturated = rf->saturated;
     }
   }


   TString F_RF::Type_Name ()
   {
      return "RF";
   }


   Bool_t F_RF::Type_Check (const Int_t type)
   {
      return (type == RF_DATA_TYPE_ALIAS);
   }

