
#include "autoroot/F_RF_Cnt.h"

#include "fasterac/rf.h"

ClassImp (F_RF_Cnt)


   F_RF_Cnt::F_RF_Cnt ()
   {
      Reset ();
   }


   void F_RF_Cnt::Reset ()  {
      F_Data::Reset ();
      trig = 0;
      sent = 0;
   }


   void F_RF_Cnt::Reset (const faster_data_p data) {
     rf_counter* cnt;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        cnt = (rf_counter*) faster_data_load_p (data);
        trig = cnt->trig;
        sent = cnt->sent;
     }
   }


   TString F_RF_Cnt::Type_Name ()
   {
      return "RF_COUNTER";
   }


   Bool_t F_RF_Cnt::Type_Check (const Int_t type)
   {
      return (type == RF_COUNTER_TYPE_ALIAS);
   }

