

#include "autoroot/F_Scaler.h"

#include "fasterac/scaler.h"

ClassImp (F_Scaler)


   F_Scaler::F_Scaler ()
   {
      Reset ();
   }


   void F_Scaler::Reset ()  {
      F_Data::Reset ();
      n_quanta  = 0;
      saturated = kFALSE;
      max_mV    = 0.0;
      max_ns    = 0.0;
      qtt_mVns  = 0.0;
      fw_thr_ns = 0.0;
   }


   void F_Scaler::Reset (const faster_data_p data) {
     scaler_measurement* scaler;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        scaler    = (scaler_measurement*) faster_data_load_p (data);
        n_quanta  = scaler->n_quanta;
        saturated = scaler->saturated;
        max_mV    = scaler_max_ampl_mV (*scaler);
        max_ns    = scaler_max_pos_ns  (*scaler);
        qtt_mVns  = scaler_qtt_mVns    (*scaler);
        fw_thr_ns = scaler_fw_thres_ns (*scaler);
     }
   }


   TString F_Scaler::Type_Name ()
   {
      return "Scaler";
   }


   Bool_t F_Scaler::Type_Check (const Int_t type)
   {
      return (type == SCALER_MEASUREMENT_TYPE_ALIAS);
   }
