
#include "autoroot/F_Scaler_Cnt.h"

#include "fasterac/scaler.h"

ClassImp (F_Scaler_Cnt)


   F_Scaler_Cnt::F_Scaler_Cnt ()
   {
      Reset ();
   }


   void F_Scaler_Cnt::Reset ()  {
      F_Data::Reset ();
      quanta = 0;
      calc   = 0;
      sent   = 0;
   }


   void F_Scaler_Cnt::Reset (const faster_data_p data) {
     scaler_counter* cnt;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        cnt = (scaler_counter*) faster_data_load_p (data);
        quanta = cnt->quanta;
        calc   = cnt->calc;
        sent   = cnt->sent;
     }
   }


   TString F_Scaler_Cnt::Type_Name ()
   {
      return "SCALER_COUNTER";
   }


   Bool_t F_Scaler_Cnt::Type_Check (const Int_t type)
   {
      return (type == SCALER_COUNTER_TYPE_ALIAS);
   }

