
#include "Riostream.h"
#include "TString.h"
#include "TFile.h"
#include "TTree.h"
#include "TObjArray.h"

using namespace std;

   int main (int argc, char** argv) {

      if (argc < 2) {
         cout << endl;
         cout << "  Display branch names of an 'autoroot' tree." <<  endl;
         cout << endl;
         cout << "  usage  :  " << endl;
         cout << "            " << argv [0] << "  autorootfile.root" << endl;
         cout << endl;
         return EXIT_FAILURE;
      }

      TString    filename;
      TFile*     file;
      TTree*     tree;
      TObjArray* branches;

      filename = argv [1];
      file     = new TFile (filename);
      if (file->IsZombie ()) {
         return EXIT_FAILURE;
      }
      tree = (TTree*) file->Get ("AutoRoot");
      if (tree == NULL) {
         cout << "This root file doesn't contain any 'AutoRoot' tree." << endl;
         return EXIT_FAILURE;
      }
      branches = tree->GetListOfBranches ();
      cout << endl;
      cout << "  " << filename << " branch list : " << endl;
      cout << endl;
      for (int i=0; i <= branches->GetLast (); i++) {
         cout << "        " << branches->At (i)->GetName () << endl;
      }
      cout << endl;
      file->Close ();
      return EXIT_SUCCESS;
   }


