
#include "Riostream.h"
#include "TString.h"
#include "TFile.h"
#include "TTree.h"
#include "TBranch.h"

using namespace std;

   int main (int argc, char** argv) {
      if (argc < 3) {
         cout << endl;
         cout << "  usage  :  " << endl;
         cout << "            " << argv [0] << "  autorootfile.root   old_name1:new_name1   [old2:new2 [old3:new3 [...]]" << endl;
         cout << endl;
         return EXIT_FAILURE;
      }

      TString  filename;
      TString  argument;
      TString  old_name;
      TString  new_name;
      TString  tok;
      Ssiz_t   from = 0;
      TFile*   file;
      TTree*   tree;
      TBranch* branch;

      filename = argv [1];
      file     = new TFile (filename, "UPDATE");
      if (file->IsZombie ()) {
         return EXIT_FAILURE;
      }
      tree = (TTree*) file->Get ("AutoRoot");
      if (tree == NULL) {
         cout << "This root file doesn't contain any 'AutoRoot' tree." << endl;
         return EXIT_FAILURE;
      }

      for (int i=2; i<argc; i++) {
         argument = argv [i];
         from = 0;
         if (argument.Contains (":")) {
            argument.Tokenize (old_name, from, ":");
            argument.Tokenize (new_name, from, ":");
            branch = tree->GetBranch (old_name);
            if (branch == NULL) {
               cout << "WARNING : branch " << old_name << " not found." << endl;
            } else {
               cout << old_name << "  =>  " << new_name << endl;
               branch->SetName (new_name);
            }
         } else {
            cout << "WARNING : bad argument format " << argument << "." << endl;
         }
      }
      file->Write ();
      file->Close ();
      return EXIT_SUCCESS;
   }


